h41409
s 00002/00002/00056
d D 1.2 83/03/31 12:29:39 mmm 2 1
c 
e
s 00058/00000/00000
d D 1.1 83/03/15 21:36:26 tes 1 0
c date and time created 83/03/15 21:36:26 by tes
e
u
4
U
t
T
I 1
subroutine giciav (errind,ivalry,rvalry)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Inquire current individual attribute values            #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#     Output Parameters:                                               #
#            errind - error indicator                                  #
#            ivalry - array of current individual attribute values     #
#            rvalry - array of current individual attribute values     #
#                                                                      #
#     Errors:                                                          #
#            8  GKS not in proper state: GKS must be in one of the     #
#               states GKOP, WSOP, WSAC, or SGOP                       #
#                                                                      #
#     Routines Called:                                                 #
#            errchk - perform appropriate error checking               #
#            arysgn - assign an integer array                          #
#                                                                      #
########################################################################
integer  errind, ivalry(10)
real     rvalry(2)

integer itemp1(10)

ifdef(`ERROR_ON',`
   integer errchk, ierdum(1)
   ')

include(`gkscom')

# 'lntyp' is located in common
equivalence (itemp1(1), lntyp)

   # In all inquiry routines, initialize errind to 0 (zero).
   errind = 0
   ifdef(`ERROR_ON',`
      rounum = GICIAV
      errind = errchk(ierdum(1), ierdum)
      if (errind != 0) return
      ')

   call arysgn (10, itemp1, ivalry)

D 2
   PUTREAL(lnwdsf, rvalry(1)) # current line width scale factor
   PUTREAL(mkszsf, rvalry(2)) # current marker size scale factor
E 2
I 2
   call ptreal(lnwdsf, 0, rvalry) # current line width scale factor
   call ptreal(mkszsf, 1, rvalry) # current marker size scale factor
E 2

  return
end
E 1
